メインコンテンツへスキップ
POST
/
2
/
notes
Community Note を作成する
curl --request POST \
  --url https://api.x.com/2/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "info": {
    "classification": "misinformed_or_potentially_misleading",
    "misleading_tags": [
      "disputed_claim_as_fact"
    ],
    "text": "<string>",
    "trustworthy_sources": true
  },
  "post_id": "1346889436626259968",
  "test_mode": true
}
'
{
  "data": {
    "id": "1146654567674912769"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
info
object
必須

X Community Note はポストに添付されるノートです。

post_id
string
必須

このツイートの一意の識別子。大きな整数を扱えない言語やツールでの問題を避けるため、文字列として返されます。

Pattern: ^[0-9]{1,19}$
:

"1346889436626259968"

test_mode
boolean
必須

true の場合、送信されるノートはボット機能のテスト専用となり、公開されません。false の場合、送信されるノートはプロダクト上の新しい提案ノートとして扱われます。

レスポンス

リクエストは成功しました。

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。